## zookeeper 3.4.10

=== debian/changelog ===
zookeeper (3.4.10-3) unstable; urgency=medium

  * The default value of JMXLOCALONLY is now true (Closes: #869912)
  * Drop transitional package libzookeeper2 (Closes: #878994)
  * /var/lib/zookeeper is no longer world-readable (Closes: #870271)
  * Use debhelper 11 and set compat level to 11
  * Bump Standards-Version to 4.1.3
  * Use https for Homepage URL
  * Drop build-dep on dh-systemd in favor of debhelper 10
  * Remove init.d skeleton template boilerplate
  * Remove Upstart config
  * Add ./NOTICE.txt to debian/zookeeper.docs
  * Set build target to Java 8
  * Correct ivy profile during test phase on i386 (See: #860650)
    Note that this does not mean that tests pass on i386 now, only
    that the tests can be run without ivy dying.
  * Disable tests that use the MiniKdc class
  * Rename zooinspector JAR file to zookeeper-zooinspector as per policy
  * Add debian/NEWS

 -- tony mancill <tmancill@debian.org>  Sat, 03 Feb 2018 14:58:02 -0800

zookeeper (3.4.10-2) unstable; urgency=medium

  * Upload to unstable for the buster release cycle.

 -- tony mancill <tmancill@debian.org>  Wed, 21 Jun 2017 11:47:20 -0700

zookeeper (3.4.10-1) experimental; urgency=medium

  [ Rene Engelhard ]
  * Team upload.
  * use PKG_CHECK_MODULES instead of AM_PATH_CPPUNIT (closes: #862135)

  [ tony mancill ]
  * New upstream release.
  * Add tmancill@debian.org to Uploaders
  * Add pkg-config to Build-Depends.
  * Drop patches applied upstream:
    - 09-spell-check.patch
    - 10-cppunit-pkg-config.patch

 -- tony mancill <tmancill@debian.org>  Sat, 03 Jun 2017 11:10:44 -0700

=== debian/control ===
Source: zookeeper
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: James Page <james.page@ubuntu.com>,
 tony mancill <tmancill@debian.org>
Build-Depends:
 ant (>= 1.6.0),
 ant-optional,
 autoconf,
 automake,
 checkstyle,
 debhelper (>= 11~),
 default-jdk (>= 2:1.6),
 default-jdk-doc,
 dh-python,
 help2man,
 ivy-debian-helper,
 javacc,
 javahelper (>= 0.28),
 junit4,
 libapacheds-java,
 libboost-dev,
 libcppunit-dev,
 libcommons-collections3-java,
 libcommons-io-java,
 libjline-java,
 liblog4cxx-dev,
 liblog4j1.2-java (>> 1.2.15-8),
 libmockito-java,
 libnetty-3.9-java,
 libslf4j-java,
 libtool,
 libxerces2-java,
 libxml2-dev,
 maven-repo-helper,
 pkg-config,
 procps,
 python-all-dev (>= 2.6.6-3~)
X-Python-Version: >= 2.6
Standards-Version: 4.1.3
Vcs-Git: https://anonscm.debian.org/git/pkg-java/zookeeper.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/zookeeper.git
Homepage: https://zookeeper.apache.org

Package: libzookeeper-java
Architecture: all
Depends:
 libjline-java,
 liblog4j1.2-java (>> 1.2.15-8),
 libnetty-3.9-java,
 libslf4j-java,
 libxerces2-java,
 ${misc:Depends}
Suggests: libzookeeper-java-doc
Description: Core Java libraries for zookeeper
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the java .jar files.

Package: zookeeper
Architecture: all
Depends:
 adduser,
 default-jre-headless | java6-runtime-headless,
 libzookeeper-java (= ${binary:Version}),
 ${misc:Depends}
Description: High-performance coordination service for distributed applications
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the shell scripts and an example configuration but does
 not automatically start up the service. The example configuration is installed
 with the update-alternatives mechanism.

Package: zookeeperd
Architecture: all
Depends: lsb-base (>= 3.2-14), zookeeper (= ${binary:Version}), ${misc:Depends}
Description: Init control scripts for zookeeper
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains init.d scripts to start and stop zookeeper and starts
 zookeeper on installation.

Package: libzookeeper-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: API Documentation for zookeeper
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.

Package: libzookeeper-mt2
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Multi threaded C bindings for zookeeper
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the multi-threaded libraries for the C bindings.

Package: libzookeeper-st2
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Single threaded C bindings for zookeeper
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the single-threaded libraries for the C bindings.

Package: libzookeeper-mt-dev
Architecture: any
Section: libdevel
Replaces: libzookeeper-dev
Provides: libzookeeper-dev
Depends:
 libzookeeper-mt2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts: libzookeeper-dev
Description: Development files for multi threaded zookeeper C bindings
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the development files for the multi threaded C bindings.

Package: libzookeeper-st-dev
Architecture: any
Section: libdevel
Replaces: libzookeeper-dev
Provides: libzookeeper-dev
Depends:
 libzookeeper-st2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts: libzookeeper-dev
Description: Development files for single threaded zookeeper C bindings
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the development files for the single threaded C bindings.

Package: zookeeper-bin
Architecture: any
Section: misc
Depends:
 libzookeeper-mt2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Command line utilities for zookeeper
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains additional zookeeper command line utilities using the C
 binding. See the "zookeeper" package for command line utilities using the java
 binding.

Package: python-zookeeper
Architecture: any
Section: python
XB-Python-Version: ${python:Versions}
Depends:
 libzookeeper-mt2 (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: Python bindings for zookeeper
 ZooKeeper is a centralized, reliable, service for maintaining configuration
 information, naming, providing distributed synchronization, and group
 services. All of these kinds of services are used in some form or another by
 distributed applications.
 .
 This package contains the Python bindings.

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java

PYVERS := $(shell pyversions -vr)
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*,\1,p')
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_CHANGELOG_DATETIME = $(shell dpkg-parsechangelog --show-field Date)

ANT_ARGS = -Dversion=$(DEB_UPSTREAM_VERSION) \
           -DlastRevision=-1 \
           -Divy.url=file:/usr/share/maven-repo/org/apache/ivy/ivy/ \
           -Divy.version=debian \
           -Divysettings.xml=/usr/share/ivy-debian-helper/ivysettings.xml \
           -Dant.build.javac.source=1.8 \
           -Dant.build.javac.target=1.8

%:
	dh $@ --buildsystem=ivy --with javahelper --with python2

override_dh_auto_build:
	# TODO exclude the fatjar contrib from upstream tarball and include the rest contrib
	mkdir -p build/test/classes
	javacc -OUTPUT_DIRECTORY=src/java/main/org/apache/jute/compiler/generated src/java/main/org/apache/jute/compiler/generated/rcc.jj

	dh_auto_build -- $(ANT_ARGS) '-Dbuild.time=$(DEB_CHANGELOG_DATETIME)' -Dfinal.name=zookeeper javadoc javadoc-dev jar

	# Compile C library
	cd src/c && autoreconf -i
	cd src/c && ./configure --prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
	$(MAKE) -C src/c

	# Compile contribs - zooinspector
	dh_auto_build -- -f src/contrib/build.xml $(ANT_ARGS) -Dcontribfilesetincludes="zooinspector/build.xml"
	# rename JAR file to comply with Debian Java policy
	mv -fv build/contrib/ZooInspector/zookeeper-ZooInspector.jar build/contrib/ZooInspector/zookeeper-zooinspector.jar

	# Build Python Bindings
	cd src/contrib/zkpython && \
	  for pv in $(PYVERS); do \
	    python$$pv src/python/setup.py build --build-base=$(CURDIR)/build ;\
	  done

	# Compile zktreeutil and generate man page
	cd src/contrib/zktreeutil && autoreconf -if && ./configure --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) && make
	LD_LIBRARY_PATH=src/c/.libs help2man -N --version-string=0.0 src/contrib/zktreeutil/src/zktreeutil >zktreeutil.man

override_dh_install:
	$(MAKE) -C src/c install DESTDIR=$(CURDIR)/debian/tmp
	cd src/contrib/zkpython && \
	  for pv in $(PYVERS); do \
	    python$$pv src/python/setup.py build --build-base=$(CURDIR)/build \
	               install --root=$(CURDIR)/debian/tmp --install-layout=deb ;\
	  done
	# Generate install files for Multiarch capability
	for install in libzookeeper-mt2 libzookeeper-st2 \
				   libzookeeper-st-dev libzookeeper-mt-dev; do \
		sed -e 's/__ARCH__/$(DEB_HOST_MULTIARCH)/g' debian/$$install.install.in \
			> debian/$$install.install; \
	done

	# Install the Maven artifacts
	mh_installpom -plibzookeeper-java debian/pom.xml
	mh_installjar -plibzookeeper-java --java-lib --has-package-version debian/pom.xml build/zookeeper.jar
	dh_install

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
# Limit architectures which execute tests as some
# non x86 archs can be a bit racey.
TEST_ARCH=i386 amd64
ifneq (,$(findstring $(DEB_BUILD_ARCH), $(TEST_ARCH)))
TEST_JARS=jline log4j-1.2 xercesImpl xmlParserAPIs netty slf4j-api slf4j-log4j12
override_dh_auto_test-arch:
	# C testing starts/stops zookeeper
	# this ensures that all the right classes are found
	for jar in $(TEST_JARS); do \
		ln -sf /usr/share/java/$$jar.jar build/lib/$$jar.jar; \
	done;
	# Execute multi-threaded test suite
	# Disable on Ubuntu and Debian due to glibc 2.17 incompatibility
	# https://issues.apache.org/jira/browse/ZOOKEEPER-1646
	if ! dpkg-vendor --derives-from debian; then \
		$(MAKE) -C src/c zktest-mt; \
		cd src/c && ./zktest-mt; \
	fi;
endif
# Only run core Java unit tests on i386 architecture as this is the arch
# that they are built and published on - works around -indep not working
# in Ubuntu.
ifeq (i386, $(DEB_BUILD_ARCH))
override_dh_auto_test-indep:
	# Run core Java test suite against zookeeper
	ant $(ANT_ARGS) \
		-Divy.settings.file=/usr/share/ivy-debian-helper/ivysettings.xml \
		-Divy.default.ivy.user.dir=$(CURDIR)/.ivy2 \
		test-core-java
endif
endif

override_dh_clean:
	mh_clean
	dh_clean --exclude=src/java \
             --exclude=src/docs \
             --exclude=src/c \
             --exclude=src/reciped
	jh_clean
	# Clean generated install files
	for install in libzookeeper-mt2 libzookeeper-st2 \
				   libzookeeper-st-dev libzookeeper-mt-dev; do \
		[ ! -f debian/$$install.install ] || rm debian/$$install.install; \
	done

# the original build.xml deletes too much
override_dh_auto_clean:
	dh_auto_clean
	rm -rf .revision
	rm -rf build
	rm -rf src/c/generated
	rm -rf src/java/generated
	rm -rf src/java/lib/*.jar
	rm -rf src/java/main/org/apache/jute/compiler/generated/*.java
	rm -f zookeeper*.jar
	[ ! -f src/c/Makefile ] || $(MAKE) -C src/c distclean
	rm -f src/c/config.log src/c/config.status
	[ ! -f src/contrib/zktreeutil/Makefile ] || $(MAKE) -C src/contrib/zktreeutil distclean
	rm -rf src/contrib/zktreeutil/autom4te.cache
	rm -rf src/contrib/zktreeutil/Makefile.in
	rm -rf src/contrib/zktreeutil/aclocal.m4
	rm -rf src/contrib/zktreeutil/config.h.in
	rm -rf src/contrib/zktreeutil/configure
	rm -rf src/contrib/zktreeutil/depcomp
	rm -rf src/contrib/zktreeutil/install-sh
	rm -rf src/contrib/zktreeutil/missing
	rm -rf src/contrib/zktreeutil/src/Makefile.in
	rm -rf zktreeutil.man
	rm -rf src/c/Makefile.in
	rm -rf src/c/aclocal.m4
	rm -rf src/c/autom4te.cache
	rm -rf src/c/compile
	rm -rf src/c/config.guess
	rm -rf src/c/config.sub
	rm -rf src/c/configure
	rm -rf src/c/ltmain.sh
	rm -rf src/c/TEST-*

override_dh_installinit:
	dh_installinit --name=zookeeper

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d+$//,pgpsigurlmangle=s/$/.asc/ \
  http://www.eu.apache.org/dist/zookeeper/stable/zookeeper-([0-9.]+).tar.gz \
  debian debian/orig-tar.sh

## zookeeper 3.4.12

=== debian/changelog ===
zookeeper (3.4.12-2) unstable; urgency=medium

  * Team upload.

  [ tony mancill ]
  * Add patch for FTBFS with GCC-8 (Closes: #897892)

  [ Markus Koschany ]
  * Declare compliance with Debian Policy 4.2.0.
  * debian/control: Remove ancient X-Python-Version field because it is
    satisfied even in oldstable.
  * Add 15-javadoc-doclet.patch. The missing doclet class causes a javadoc
    error. Now the documentation is built again.

 -- Markus Koschany <apo@debian.org>  Thu, 23 Aug 2018 12:16:06 +0200

zookeeper (3.4.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Added the Yetus annotations
  * No longer build the Netty based connection factory (depends on an obsolete
    version of Netty)
  * Ensure the unit tests are run in offline mode (Closes: #860650)
  * Disabled the i386 junit tests (no longer build due to dependencies changes)
  * Removed the unused build dependency on checkstyle
  * Modified debian/watch to catch all the past releases
  * Standards-Version updated to 4.1.4
  * Use salsa.debian.org Vcs-* URLs
  * Updated the upstream GPG keys

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 05 Jun 2018 23:45:32 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
  ant-optional,
  autoconf,
  automake,
- checkstyle,
  debhelper (>= 11~),
  default-jdk (>= 2:1.6),
  default-jdk-doc,
@@ -28,7 +27,6 @@
  liblog4cxx-dev,
  liblog4j1.2-java (>> 1.2.15-8),
  libmockito-java,
- libnetty-3.9-java,
  libslf4j-java,
  libtool,
  libxerces2-java,
@@ -37,10 +35,9 @@
  pkg-config,
  procps,
  python-all-dev (>= 2.6.6-3~)
-X-Python-Version: >= 2.6
-Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/zookeeper.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/zookeeper.git
+Standards-Version: 4.2.0
+Vcs-Git: https://salsa.debian.org/java-team/zookeeper.git
+Vcs-Browser: https://salsa.debian.org/java-team/zookeeper
 Homepage: https://zookeeper.apache.org
 
 Package: libzookeeper-java
@@ -48,7 +45,6 @@
 Depends:
  libjline-java,
  liblog4j1.2-java (>> 1.2.15-8),
- libnetty-3.9-java,
  libslf4j-java,
  libxerces2-java,
  ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
            -DlastRevision=-1 \
            -Divy.url=file:/usr/share/maven-repo/org/apache/ivy/ivy/ \
            -Divy.version=debian \
+           -Dapache-directory-api.version=debian \
            -Divysettings.xml=/usr/share/ivy-debian-helper/ivysettings.xml \
            -Dant.build.javac.source=1.8 \
            -Dant.build.javac.target=1.8
@@ -90,10 +91,7 @@
 ifeq (i386, $(DEB_BUILD_ARCH))
 override_dh_auto_test-indep:
 	# Run core Java test suite against zookeeper
-	ant $(ANT_ARGS) \
-		-Divy.settings.file=/usr/share/ivy-debian-helper/ivysettings.xml \
-		-Divy.default.ivy.user.dir=$(CURDIR)/.ivy2 \
-		test-core-java
+	#dh_auto_build -- $(ANT_ARGS) test-core-java
 endif
 endif

## zookeeper 3.4.13

=== src/c/CMakeLists.txt ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.6)

project(zookeeper VERSION 3.4.13)
set(email user@zookeeper.apache.org)
set(description "zookeeper C client")

# general options
include_directories(include tests generated ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
if(UNIX)
  add_compile_options(-Wall -fPIC)
elseif(WIN32)
  add_compile_options(/W3)
endif()
add_definitions(-DUSE_STATIC_LIB)

# TODO: Enable /WX and /W4 on Windows. Currently there are ~1000 warnings.
# TODO: Add Solaris support.
# TODO: Add a shared library option.
# TODO: Specify symbols to export.
# TODO: Generate doxygen documentation.

# Sync API option
option(WANT_SYNCAPI "Enables Sync API support" ON)
if(WANT_SYNCAPI)
  add_definitions(-DTHREADED)
  if(WIN32)
    # Note that the generator expression ensures that `/MTd` is used when Debug
    # configurations are built.
    add_compile_options(/MT$<$<CONFIG:Debug>:d>)
  endif()
endif()

# CppUnit option
if(WIN32 OR APPLE)
  # The tests do not yet compile on Windows or macOS,
  # so we set this to off by default.
  #
  # Note that CMake does not have expressions except in conditionals,
  # so we're left with this if/else/endif pattern.
  set(DEFAULT_WANT_CPPUNIT OFF)
else()
  set(DEFAULT_WANT_CPPUNIT ON)
endif()
option(WANT_CPPUNIT "Enables CppUnit and tests" ${DEFAULT_WANT_CPPUNIT})

# The function `to_have(in out)` converts a header name like `arpa/inet.h`
# into an Autotools style preprocessor definition `HAVE_ARPA_INET_H`.
# This is then set or unset in `configure_file()` step.
#
# Note that CMake functions do not have return values; instead an "out"
# variable must be passed, and explicitly set with parent scope.
function(to_have in out)
  string(TOUPPER ${in} str)
  string(REGEX REPLACE "/|\\." "_" str ${str})
  set(${out} "HAVE_${str}" PARENT_SCOPE)
endfunction()

# include file checks
foreach(f generated/zookeeper.jute.h generated/zookeeper.jute.c)
  if(EXISTS "${CMAKE_SOURCE_DIR}/${f}")
    to_have(${f} name)
    set(${name} 1)
  else()
    message(FATAL_ERROR
      "jute files are missing!\n"
      "Please run 'ant compile_jute' while in the ZooKeeper top level directory.")
  endif()
endforeach()

# header checks
include(CheckIncludeFile)
set(check_headers
  arpa/inet.h
  dlfcn.h
  fcntl.h
  inttypes.h
  memory.h
  netdb.h
  netinet/in.h
  stdint.h
  stdlib.h
  string.h
  strings.h
  sys/socket.h
  sys/stat.h
  sys/time.h
  sys/types.h
  unistd.h
  sys/utsname.h)

foreach(f ${check_headers})
  to_have(${f} name)
  check_include_file(${f} ${name})
endforeach()

# function checks
include(CheckFunctionExists)
set(check_functions
  getcwd
  gethostbyname
  gethostname
  getlogin
  getpwuid_r
  gettimeofday
  getuid
  memmove
  memset
  poll
  socket
  strchr
  strdup
  strerror
  strtol)

foreach(fn ${check_functions})
  to_have(${fn} name)
  check_function_exists(${fn} ${name})
endforeach()

# library checks
set(check_libraries rt m pthread)
foreach(lib ${check_libraries})
  to_have("lib${lib}" name)
  find_library(${name} ${lib})
endforeach()

# IPv6 check
include(CheckStructHasMember)
check_struct_has_member("struct sockaddr_in6" sin6_addr "netinet/in.h" ZOO_IPV6_ENABLED)

# configure
configure_file(cmake_config.h.in ${CMAKE_SOURCE_DIR}/include/config.h)

# hashtable library
set(hashtable_sources src/hashtable/hashtable_itr.c src/hashtable/hashtable.c)
add_library(hashtable STATIC ${hashtable_sources})
target_link_libraries(hashtable PUBLIC $<$<PLATFORM_ID:Linux>:m>)

# zookeeper library
set(zookeeper_sources
  src/zookeeper.c
  src/recordio.c
  generated/zookeeper.jute.c
  src/zk_log.c
  src/zk_hashtable.c)

if(WANT_SYNCAPI)
  list(APPEND zookeeper_sources src/mt_adaptor.c)
else()
  list(APPEND zookeeper_sources src/st_adaptor.c)
endif()

if(WIN32)
  list(APPEND zookeeper_sources src/winport.c)
endif()

add_library(zookeeper STATIC ${zookeeper_sources})
target_link_libraries(zookeeper PUBLIC
  hashtable
  $<$<PLATFORM_ID:Linux>:rt> # clock_gettime
  $<$<PLATFORM_ID:Windows>:ws2_32>) # Winsock 2.0

if(WANT_SYNCAPI AND NOT WIN32)
  find_package(Threads REQUIRED)
  target_link_libraries(zookeeper PUBLIC Threads::Threads)
endif()

# cli executable
add_executable(cli src/cli.c)
target_link_libraries(cli zookeeper)

# load_gen executable
if(WANT_SYNCAPI AND NOT WIN32)
  add_executable(load_gen src/load_gen.c)
  target_link_libraries(load_gen zookeeper)
endif()

# tests
set(test_sources
  tests/TestDriver.cc
  tests/LibCMocks.cc
  tests/LibCSymTable.cc
  tests/MocksBase.cc
  tests/ZKMocks.cc
  tests/Util.cc
  tests/ThreadingUtil.cc
  tests/TestZookeeperInit.cc
  tests/TestZookeeperClose.cc
  tests/TestClientRetry.cc
  tests/TestOperations.cc
  tests/TestMulti.cc
  tests/TestWatchers.cc
  tests/TestClient.cc)

if(WANT_SYNCAPI)
  list(APPEND test_sources tests/PthreadMocks.cc)
endif()

if(WANT_CPPUNIT)
  add_executable(zktest ${test_sources})
  target_compile_definitions(zktest
    PRIVATE -DZKSERVER_CMD="${CMAKE_SOURCE_DIR}/tests/zkServer.sh")
  # TODO: Use `find_library()` for `cppunit`.
  target_link_libraries(zktest zookeeper cppunit dl)

  # This reads the link flags from the file `tests/wrappers.opt` into
  # the variable `symbol_wrappers` for use in `target_link_libraries`.
  # It is a holdover from the original build system.
  file(STRINGS tests/wrappers.opt symbol_wrappers)
  if(WANT_SYNCAPI)
    file(STRINGS tests/wrappers-mt.opt symbol_wrappers_mt)
  endif()

  target_link_libraries(zktest ${symbol_wrappers} ${symbol_wrappers_mt})

  enable_testing()
  add_test(NAME zktest_runner COMMAND zktest)
  set_property(TEST zktest_runner PROPERTY ENVIRONMENT
    "ZKROOT=${CMAKE_SOURCE_DIR}/../.."
    "CLASSPATH=$CLASSPATH:$CLOVER_HOME/lib/clover.jar")
endif()

=== debian/changelog ===
zookeeper (3.4.13-2) unstable; urgency=medium

  * Add patch for CVE-2019-0201 (Debian: #929283)

 -- tony mancill <tmancill@debian.org>  Tue, 04 Jun 2019 21:22:04 -0700

zookeeper (3.4.13-1) unstable; urgency=medium

  * New upstream version 3.4.13
  * Update version in debian-provided pom file
  * Bump Standards-Version to 4.2.1

 -- tony mancill <tmancill@debian.org>  Thu, 18 Oct 2018 20:19:42 -0700

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
  pkg-config,
  procps,
  python-all-dev (>= 2.6.6-3~)
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/java-team/zookeeper.git
 Vcs-Browser: https://salsa.debian.org/java-team/zookeeper
 Homepage: https://zookeeper.apache.org

=== debian/rules ===
--- 
+++ 
@@ -107,6 +107,7 @@
 				   libzookeeper-st-dev libzookeeper-mt-dev; do \
 		[ ! -f debian/$$install.install ] || rm debian/$$install.install; \
 	done
+	rm -rf debian/*debhelper.log
 
 # the original build.xml deletes too much
 override_dh_auto_clean:

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d+$//,pgpsigurlmangle=s/$/.asc/ \
  https://archive.apache.org/dist/zookeeper/zookeeper-([0-9.]+)/zookeeper-([0-9.]+).tar.gz \
  debian debian/orig-tar.sh

## zookeeper 3.8.0

=== zookeeper-client/zookeeper-client-c/CMakeLists.txt ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5)

project(zookeeper VERSION 3.8.0)
set(email user@zookeeper.apache.org)
set(description "zookeeper C client")

list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/../../tools/cmake/Modules")

# general options
if(UNIX)
  add_compile_options(-Wall -fPIC)
elseif(WIN32)
  add_compile_options(/W3)
endif()
add_definitions(-DUSE_STATIC_LIB)

# TODO: Enable /WX and /W4 on Windows. Currently there are ~1000 warnings.
# TODO: Add Solaris support.
# TODO: Add a shared library option.
# TODO: Specify symbols to export.
# TODO: Generate doxygen documentation.

# Sync API option
option(WANT_SYNCAPI "Enables Sync API support" ON)
if(WANT_SYNCAPI)
  add_definitions(-DTHREADED)
endif()

# CppUnit option
if(WIN32 OR APPLE)
  # The tests do not yet compile on Windows or macOS,
  # so we set this to off by default.
  #
  # Note that CMake does not have expressions except in conditionals,
  # so we're left with this if/else/endif pattern.
  set(DEFAULT_WANT_CPPUNIT OFF)
else()
  set(DEFAULT_WANT_CPPUNIT ON)
endif()
option(WANT_CPPUNIT "Enables CppUnit and tests" ${DEFAULT_WANT_CPPUNIT})

# SOCK_CLOEXEC
option(WANT_SOCK_CLOEXEC "Enables SOCK_CLOEXEC on sockets" OFF)
include(CheckSymbolExists)
check_symbol_exists(SOCK_CLOEXEC sys/socket.h HAVE_SOCK_CLOEXEC)
if(WANT_SOCK_CLOEXEC AND HAVE_SOCK_CLOEXEC)
  set(SOCK_CLOEXEC_ENABLED 1)
endif()

# Cyrus SASL 2.x
option(WITH_CYRUS_SASL "turn ON/OFF Cyrus SASL 2.x support, or define SASL library location (default: ON)" ON)
message("-- using WITH_CYRUS_SASL=${WITH_CYRUS_SASL}")
if(NOT WITH_CYRUS_SASL STREQUAL "OFF")
  if(NOT WITH_CYRUS_SASL STREQUAL "ON")
    set(CYRUS_SASL_ROOT_DIR "${WITH_CYRUS_SASL}")
  endif()
  find_package(CyrusSASL)
  if(CYRUS_SASL_FOUND)
    message("-- Cyrus SASL 2.x found! will build with SASL support.")
  else()
    message("-- WARNING: unable to find Cyrus SASL 2.x! will build without SASL support.")
  endif()
endif()

# The function `to_have(in out)` converts a header name like `arpa/inet.h`
# into an Autotools style preprocessor definition `HAVE_ARPA_INET_H`.
# This is then set or unset in `configure_file()` step.
#
# Note that CMake functions do not have return values; instead an "out"
# variable must be passed, and explicitly set with parent scope.
function(to_have in out)
  string(TOUPPER ${in} str)
  string(REGEX REPLACE "/|\\." "_" str ${str})
  set(${out} "HAVE_${str}" PARENT_SCOPE)
endfunction()

# include file checks
foreach(f generated/zookeeper.jute.h generated/zookeeper.jute.c)
  if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${f}")
    to_have(${f} name)
    set(${name} 1)
  else()
    message(FATAL_ERROR
      "jute files are missing!\n"
      "Please run 'ant compile_jute' while in the ZooKeeper top level directory.")
  endif()
endforeach()

# header checks
include(CheckIncludeFile)
set(check_headers
  arpa/inet.h
  dlfcn.h
  fcntl.h
  inttypes.h
  memory.h
  netdb.h
  netinet/in.h
  stdint.h
  stdlib.h
  string.h
  strings.h
  sys/socket.h
  sys/stat.h
  sys/time.h
  sys/types.h
  unistd.h
  sys/utsname.h)

foreach(f ${check_headers})
  to_have(${f} name)
  check_include_file(${f} ${name})
endforeach()

# function checks
include(CheckFunctionExists)
set(check_functions
  getcwd
  gethostbyname
  gethostname
  getlogin
  getpwuid_r
  gettimeofday
  getuid
  memmove
  memset
  poll
  socket
  strchr
  strdup
  strerror
  strtol)

foreach(fn ${check_functions})
  to_have(${fn} name)
  check_function_exists(${fn} ${name})
endforeach()

# library checks
set(check_libraries rt m pthread)
foreach(lib ${check_libraries})
  to_have("lib${lib}" name)
  find_library(${name} ${lib})
endforeach()

# IPv6 check
include(CheckStructHasMember)
check_struct_has_member("struct sockaddr_in6" sin6_addr "netinet/in.h" ZOO_IPV6_ENABLED)

# configure
configure_file(cmake_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/include/config.h)

# hashtable library
set(hashtable_sources src/hashtable/hashtable_itr.c src/hashtable/hashtable.c)
add_library(hashtable STATIC ${hashtable_sources})
target_include_directories(hashtable PUBLIC include)
target_link_libraries(hashtable PUBLIC $<$<OR:$<PLATFORM_ID:Linux>,$<PLATFORM_ID:FreeBSD>>:m>)

# zookeeper library
set(zookeeper_sources
  src/zookeeper.c
  src/recordio.c
  generated/zookeeper.jute.c
  src/zk_log.c
  src/zk_hashtable.c
  src/addrvec.c)

if(WANT_SYNCAPI)
  list(APPEND zookeeper_sources src/mt_adaptor.c)
else()
  list(APPEND zookeeper_sources src/st_adaptor.c)
endif()

if(CYRUS_SASL_FOUND)
  list(APPEND zookeeper_sources src/zk_sasl.c)
endif()

if(WIN32)
  list(APPEND zookeeper_sources src/winport.c)
endif()

add_library(zookeeper STATIC ${zookeeper_sources})
target_include_directories(zookeeper PUBLIC include ${CMAKE_CURRENT_BINARY_DIR}/include generated)
target_link_libraries(zookeeper PUBLIC
  hashtable
  $<$<PLATFORM_ID:Linux>:rt> # clock_gettime
  $<$<PLATFORM_ID:Windows>:ws2_32>) # Winsock 2.0

option(WITH_OPENSSL "turn ON/OFF SSL support, or define openssl library location (default: ON)" ON)
message("-- using WITH_OPENSSL=${WITH_OPENSSL}")
if(NOT WITH_OPENSSL STREQUAL "OFF")
  if(NOT WITH_OPENSSL STREQUAL "ON")
    set(OPENSSL_ROOT_DIR,${WITH_OPENSSL})
  endif()
  find_package(OpenSSL)
  if(OPENSSL_FOUND)
    target_compile_definitions(zookeeper PUBLIC HAVE_OPENSSL_H)
    target_link_libraries(zookeeper PUBLIC OpenSSL::SSL OpenSSL::Crypto)
    message("-- OpenSSL libraries found! will build with SSL support.")
  else()
    message("-- WARNING: unable to find OpenSSL libraries! will build without SSL support.")
  endif()
endif()

if(WANT_SYNCAPI AND NOT WIN32)
  find_package(Threads REQUIRED)
  target_link_libraries(zookeeper PUBLIC Threads::Threads)
endif()

if(CYRUS_SASL_FOUND)
  target_compile_definitions(zookeeper PUBLIC HAVE_CYRUS_SASL_H)
  target_link_libraries(zookeeper PUBLIC CyrusSASL)
endif()

# cli executable
add_executable(cli src/cli.c)
target_link_libraries(cli zookeeper)

# load_gen executable
if(WANT_SYNCAPI AND NOT WIN32)
  add_executable(load_gen src/load_gen.c)
  target_link_libraries(load_gen zookeeper)
endif()

# tests
set(test_sources
  tests/TestDriver.cc
  tests/LibCMocks.cc
  tests/LibCSymTable.cc
  tests/MocksBase.cc
  tests/ZKMocks.cc
  tests/Util.cc
  tests/ThreadingUtil.cc
  tests/TestZookeeperInit.cc
  tests/TestZookeeperClose.cc
  tests/TestReconfig.cc
  tests/TestReconfigServer.cc
  tests/TestClientRetry.cc
  tests/TestOperations.cc
  tests/TestMulti.cc
  tests/TestWatchers.cc
  tests/TestClient.cc
  tests/ZooKeeperQuorumServer.cc
  tests/TestReadOnlyClient.cc
  tests/TestLogClientEnv.cc)

if(WANT_SYNCAPI)
  list(APPEND test_sources tests/PthreadMocks.cc)
endif()

if(WANT_CPPUNIT)
  set (CMAKE_CXX_STANDARD 11)
  add_executable(zktest ${test_sources})
  target_include_directories(zktest PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})

  target_compile_definitions(zktest
    PRIVATE -DZKSERVER_CMD="${CMAKE_CURRENT_SOURCE_DIR}/tests/zkServer.sh")
  # TODO: Use `find_library()` for `cppunit`.
  target_link_libraries(zktest zookeeper cppunit dl)

  # This reads the link flags from the file `tests/wrappers.opt` into
  # the variable `symbol_wrappers` for use in `target_link_libraries`.
  # It is a holdover from the original build system.
  file(STRINGS tests/wrappers.opt symbol_wrappers)
  if(WANT_SYNCAPI)
    file(STRINGS tests/wrappers-mt.opt symbol_wrappers_mt)
  endif()

  target_link_libraries(zktest ${symbol_wrappers} ${symbol_wrappers_mt})

  enable_testing()
  add_test(NAME zktest_runner COMMAND zktest)
  set_property(TEST zktest_runner PROPERTY ENVIRONMENT
    "ZKROOT=${CMAKE_CURRENT_SOURCE_DIR}/../.."
    "CLASSPATH=$CLASSPATH:$CLOVER_HOME/lib/clover*.jar")
endif()

=== debian/changelog ===
zookeeper (3.8.0-8ubuntu1) kinetic; urgency=medium

  * Merge from Debian sid keeping d/p/gcc-11-no-throw.patch
    (LP: #1990151, LP: #1988541)
  * Dropping d/p/18-ZOOKEEPER-3954.patch
    https://issues.apache.org/jira/browse/ZOOKEEPER-3954 is resolved

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Thu, 29 Sep 2022 11:30:44 +0200

zookeeper (3.8.0-8) unstable; urgency=medium

  * Team upload
  * Skipping one more test accessing the network, thanks to Simon Chopin
    (Closes: #1018942)
  * Enlarging another time limit in a test

 -- Pierre Gruet <pgt@debian.org>  Fri, 02 Sep 2022 18:17:29 +0200

zookeeper (3.8.0-7) unstable; urgency=medium

  * Team upload
  * Installing the generated header file in /usr/include/zookeeper
    (Closes: #1016764)
  * Alleviating d/maven.rules

 -- Pierre Gruet <pgt@debian.org>  Mon, 15 Aug 2022 15:12:45 +0200

zookeeper (3.8.0-6) unstable; urgency=medium

  * Team upload
  * Deactivating a flaky test (Closes: #1015054)

 -- Pierre Gruet <pgt@debian.org>  Sat, 23 Jul 2022 22:46:51 +0200

zookeeper (3.8.0-5) unstable; urgency=medium

  * Team upload
  * Installing an up-to-date configuration file example in zookeeper

 -- Pierre Gruet <pgt@debian.org>  Sat, 02 Jul 2022 15:28:15 +0200

zookeeper (3.8.0-4) unstable; urgency=medium

  * Team upload
  * Adding liblog4j1.2-java as a dependency of the -java package so that its
    jar is found by libslf4j-java

 -- Pierre Gruet <pgt@debian.org>  Fri, 01 Jul 2022 21:19:09 +0200

zookeeper (3.8.0-3ubuntu2) kinetic; urgency=medium

  * d/p/30-skip-tests-network.patch: Amended to disable a test reaching out to
    google.com (LP: #1988541)

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 02 Sep 2022 11:10:52 +0200

zookeeper (3.8.0-3ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Fix build with gcc -O3.
    - Fix zktreeutil compatibility with gcc 11.
  * Refresh patches for new upstream release.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Jul 2022 12:43:57 -0700

zookeeper (3.8.0-3) unstable; urgency=medium

  * Team upload
  * Raising a bit some time limits in tests, failures can happen depending
    on the buildds

 -- Pierre Gruet <pgt@debian.org>  Wed, 29 Jun 2022 21:44:22 +0200

zookeeper (3.8.0-2) unstable; urgency=medium

  * Team upload
  * Making appropriate overrides for -arch and -indep in d/rules so that
    builds of architecture-dependent packages only succeed

 -- Pierre Gruet <pgt@debian.org>  Wed, 29 Jun 2022 17:47:37 +0200

zookeeper (3.8.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.8.0 (Closes: #927673):
    - Checking it is affected by no known security vulnerability
      (Closes: #990345)
    - Checking it does not use xml2-config anymore (Closes: #949517)
    - Checking the package does not FTBFS with gcc-11 (Closes: #984406)
  * Refreshing patches
  * Building with Maven, adapting B-D, refreshing d/rules and adapting install
    paths accordingly
  * Adapting install paths after switching to Maven
  * Updates in debian/control:
    - Depending on debhelper-compat 13
    - Removing X-Python3-Version field
    - Raising Standards version to 4.6.1 (no change)
    - Adding a Pre-Depends field in d/control for zookeeperd so that it
      pre-depends on init-system-helpers
    -  zookeeper needs to depend on default-jre, not only the headless version
  * Refreshing d/copyright
  * Updating / refreshing the packaging style:
    - New upstream signing keys
    - Rewriting d/watch, set to version 4, no repack
    - Removing debian/gbp.conf
    - Removing debian/orig-tar.sh, repacking is done via debian/copyright
    - Set upstream metadata fields: Bug-Database, Repository,
      Repository-Browse.
  * Providing patches related to the new Maven build:
    - Adding missing versions of some Maven plugins in the POM files
    - Skipping the unpackaged Timeout annotations in the tests
    - Using the ValueSource annotation with ints instead of booleans, which are
      not available in Debian-package junit5
    - Omitting the TempDir annotation in the tests, as it is not available yet
    - Correcting call to deprecated method in Bouncycastle
    -  Switching from test-jar type to tests classifier in the POM files
    - Omitting the dependency of the assembly POM on the
      zookeeper-prometheus-metrics jar, which cannot be built right now
    - Adding missing artifacts in the zookeeper-contrib-rest POM file
    - Skipping some classes because of unpackaged org.openjdk-jmh package
    - Building the Python3 artifacts without OpenSSL
    - Omitting test classes needing junit5 unpackaged classes or attempting to
      use the network
  * Correcting tiny spelling errors in the code
  * Reworking debian/rules:
    - Updating the overrides of dh_clean and dh_auto_clean
    - Stopping parsing changelog in d/rules
  * Providing an up-to-date d/libzookeeper-java.manifest file, updating
    dependencies of the binary package accordingly
  * Refreshing the doc-base files
  * Stopping providing zktreeutil, providing a NEWS file to explain this
  * Adding a NEWS entry about possible failure at startup and how to solve it
    (Closes: #1012770)
  * Adding a Lintian override for the embedded js in the javadoc
  * Adding a Lintian override for files with long lines
  * Adding missing patch headers
  * Hacking in the libtool file to prevent -rpath flags when building
  * Changing USER to NAME in d/zookeeper.postinst and d/zookeeper.postrm to be
    sure the script is doing the right thing (actually the shell uses USER for
    the logged in name)
  * Using --remove-home in d/zookeeper.postrm to ensure everything is properly
    deleted (Closes: #1001959)

 -- Pierre Gruet <pgt@debian.org>  Tue, 28 Jun 2022 18:02:04 +0200

zookeeper (3.4.13-6ubuntu5) kinetic; urgency=medium

  * No-change rebuild against liblog4cxx13

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 21 Jun 2022 21:47:40 +0000



=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with javahelper --with python3

# The configure step is handled through Maven for -arch and -indep builds.
# It has to be run only once.
override_dh_auto_configure-arch override_dh_auto_configure-indep:
	if [ ! -f debian/mavenConfigureDone ]; then \
	        /usr/share/maven-debian-helper/copy-repo.sh $$(readlink -f debian) && \
	        mh_patchpoms -plibzookeeper-java --debian-build --keep-pom-version --maven-repo=$$(readlink -f debian/maven-repo) && \
	        touch debian/mavenConfigureDone; \
	fi

override_dh_auto_build-indep:
	dh_auto_build -- package javadoc:jar javadoc:aggregate -Pfull-build

# Running the Java build first, as it also builds the C++ part.
override_dh_auto_build-arch: override_dh_auto_build-indep
	# Build Python bindings in addition
	cd zookeeper-contrib/zookeeper-contrib-zkpython && \
	        python3 src/python/setup.py build --build-base=$(CURDIR)/build

# Empty override: no need to call the Maven stuff for the arch-dependent packages
override_dh_auto_install-arch:

override_dh_auto_install-indep:
	dh_auto_install -i -- -Pfull-build

override_dh_install-arch:
	# Installing the Python artifacts in debian/tmp before calling dh_install
	cd zookeeper-contrib/zookeeper-contrib-zkpython && \
	        python3 src/python/setup.py build --build-base=$(CURDIR)/build \
	                install --root=$(CURDIR)/debian/tmp --install-layout=deb ;\
	
	dh_install -a

override_dh_install-indep:
	dh_install -i
	# Also installing the configuration.xsl and zoo.cfg which are in conf/.
	cp conf/configuration.xsl debian/zookeeper/etc/zookeeper/conf_example/
	cp conf/zoo_sample.cfg debian/zookeeper/etc/zookeeper/conf_example/zoo.cfg

# Empty override for the -arch part, as we currently run no tests othen than
# the Java ones. See the commented block below for some perspective.
override_dh_auto_test-arch:

# In former versions a test could be run for the -arch part. To be reworked.
#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
## Limit architectures which execute tests as some
## non x86 archs can be a bit racey.
#TEST_ARCH=i386 amd64
#ifneq (,$(findstring $(DEB_BUILD_ARCH), $(TEST_ARCH)))
#TEST_JARS=jline log4j-1.2 xercesImpl xmlParserAPIs netty slf4j-api slf4j-log4j12
#override_dh_auto_test-arch:
#	# C testing starts/stops zookeeper
#	# this ensures that all the right classes are found
#	for jar in $(TEST_JARS); do \
#		ln -sf /usr/share/java/$$jar.jar build/lib/$$jar.jar; \
#	done;
#	# Execute multi-threaded test suite
#	# Disable on Ubuntu and Debian due to glibc 2.17 incompatibility
#	# https://issues.apache.org/jira/browse/ZOOKEEPER-1646
#	if ! dpkg-vendor --derives-from debian; then \
#		$(MAKE) -C src/c zktest-mt; \
#		cd src/c && ./zktest-mt; \
#	fi;
#endif
#endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	find . -name "*.jar" -delete
	-rm zookeeper-client/zookeeper-client-c/generated/*
	[ ! -f zookeeper-client/zookeeper-client-c/Makefile ] || $(MAKE) -C zookeeper-client/zookeeper-client-c distclean
	-rm -rf zookeeper-client/zookeeper-client-c/Makefile.in
	-rm -rf zookeeper-client/zookeeper-client-c/aclocal.m4
	-rm -rf zookeeper-client/zookeeper-client-c/autom4te.cache
	-rm -rf zookeeper-client/zookeeper-client-c/compile
	-rm -rf zookeeper-client/zookeeper-client-c/config.guess
	-rm -rf zookeeper-client/zookeeper-client-c/config.sub
	-rm -rf zookeeper-client/zookeeper-client-c/configure
	-rm -rf zookeeper-client/zookeeper-client-c/ltmain.sh
	-rm -rf zookeeper-client/zookeeper-client-c/TEST-*
	-rm debian/mavenConfigureDone

override_dh_installinit:
	dh_installinit --name=zookeeper

## zookeeper 3.9.1

=== zookeeper-client/zookeeper-client-c/CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 cmake_minimum_required(VERSION 3.5)
 
-project(zookeeper VERSION 3.8.0)
+project(zookeeper VERSION 3.9.1)
 set(email user@zookeeper.apache.org)
 set(description "zookeeper C client")

=== debian/changelog ===
zookeeper (3.9.1-1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 09:54:24 +0000

zookeeper (3.9.1-1build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:29:13 +0100

zookeeper (3.9.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.9.1 (Closes: #1054224)
    Fixes CVE-2023-44981
  * Refreshing patches
  * Updating Maven rules and ignoreRules
  * Correcting/excluding more tests, adding them to existing patches
  * Omitting tests needing unpackaged org.burningwave

 -- Pierre Gruet <pgt@debian.org>  Sat, 28 Oct 2023 19:07:58 +0200

zookeeper (3.8.0-11) unstable; urgency=medium

  * Team upload
  * Excluding more tests needing network access (Closes: #1033436)
  * Raising Standards version to 4.6.2 (no change)
  * Update lintian override info format in d/source/lintian-overrides on line 3.
  * Set upstream metadata fields: Repository-Browse.
  * Removing dependency on lsb-base

 -- Pierre Gruet <pgt@debian.org>  Thu, 06 Apr 2023 12:25:53 +0200

zookeeper (3.8.0-10) unstable; urgency=medium

  * Team upload.
  * Rebuilt for all Python3 versions (Closes: #1024303).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Nov 2022 11:14:39 +0100

zookeeper (3.8.0-9) unstable; urgency=medium

  * Team upload
  * Using Suite instead of deprecated JunitPlatform to run unit tests
    (Closes: #1022333)
  * Exporting LC_ALL=C.UTF-8 in d/rules

 -- Pierre Gruet <pgt@debian.org>  Mon, 31 Oct 2022 15:49:56 +0100
